/*
 *   Copyright (c) 2004, Steve Dekorte
 *   All rights reserved. See _BSDLicense.txt.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "DBDatum.h"

DBDatum *DBDatum_new(void)
{
  DBDatum *self = calloc(1, sizeof(DBDatum));
  return self;
}

void DBDatum_free(DBDatum *self)
{
  if (self->data) free(self->data);
  free(self);
}

void DBDatum_set_(DBDatum *self, DBT *d)
{
  self->data = realloc(self->data, d->size+1);
  memcpy(self->data, d->data, d->size); 
  self->data[d->size] = 0x0;    
  self->size = d->size;
}