/*
 *   Copyright (c) 2004, Steve Dekorte
 *   All rights reserved. See _BSDLicense.txt.
 */
 
#ifndef DBDatum_DEFINED 
#define DBDatum_DEFINED 1

#include <db.h>

typedef struct 
{
  unsigned char *data;
  size_t size;
} DBDatum;

DBDatum *DBDatum_new(void);
void DBDatum_free(DBDatum *self);
void DBDatum_freeChain(DBDatum *self);
void DBDatum_set_(DBDatum *self, DBT *d);

#endif

